a few windows tinderbox client patches

RESOLVED FIXED

Status

Webtools Graveyard
Tinderbox
P2
normal
RESOLVED FIXED
15 years ago
4 years ago

People

(Reporter: dbaron, Assigned: dbaron)

Tracking

Trunk
x86
Windows 2000

Details

(Whiteboard: [patch])

Attachments

(1 attachment)

(Assignee)

Description

15 years ago
In the process of setting up a Windows tinderbox client, I've fixed a few things.

bryner has a patch for fixing the cygwin-perl-only '\r' removal (since the '\r'
isn't there with some versions).  (I just commented it out, bryner has the right
fix.)

I also had trouble running the codesize test unless the arguments were passed as
a real array.  I'll attach a patch to fix that.  It seems that someone else had
similar problems recently since there was a similar checkin recently for the
DomToTextConversionTest (rev. 1.241 of build-seamonkey-util.pl).
(Assignee)

Updated

15 years ago
Status: NEW → ASSIGNED
Priority: -- → P2
Whiteboard: [patch]
(Assignee)

Comment 1

15 years ago
Created attachment 124643 [details] [diff] [review]
patch

(The commented out line here shouldn't be checked in.)
(Assignee)

Comment 2

15 years ago
Comment on attachment 124643 [details] [diff] [review]
patch

bryner: I forget if you had a good way to get the last character of a string or
was just using regular expressions.  But you could review the rest of this, and
perhaps tell me what you had in your tree?
Attachment #124643 - Flags: review?(bryner)
Comment on attachment 124643 [details] [diff] [review]
patch

>--- ..\mozilla\tools\tinderbox\build-seamonkey-util.pl	2003-05-17 01:34:44.000000000 -0700
>+++ build-seamonkey-util.pl	2003-05-31 14:55:42.000000000 -0700
>@@ -1841,7 +1841,7 @@
>-        chop($rv) if ($^O eq 'cygwin'); # cygwin perl doesn't chomp dos-newlinesproperly so use chop.
>+        #chop($rv) if ($^O eq 'cygwin'); # cygwin perl doesn't chomp dos-newlinesproperly so use chop.

What I did in my tree was just:

chop($rv) if ($rv =~ /\r$/);

We probably want that instead of commenting it out.

r=me on the rest of it.
Attachment #124643 - Flags: review?(bryner) → review+

Comment 4

15 years ago
the array arg change happened courtesy seawood, I think there
were some straggling cases (external builds, etc.) that were
broken; DomToTextConversion may have been one of those.
(Assignee)

Comment 5

15 years ago
Fix checked in to trunk, 2003-08-13 15:06 -0700.
Status: ASSIGNED → RESOLVED
Last Resolved: 15 years ago
Resolution: --- → FIXED
Product: Webtools → Webtools Graveyard
You need to log in before you can comment on or make changes to this bug.